Subject: Re: [PATCH 10/13] ftgmac100: Add a reset task and use it for link changes

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 03 Apr 2017 07:05:50 +1000

On Sun, 2017-04-02 at 20:42 +0200, Andrew Lunn wrote:
> Have you run lockdep tests on this? I think it is normal to take the
> rtnl lock first, then the phydev lock. Try some ethtool operations
> and see if you get a splat.

You are right. I actually realized that was wrong last night ;-) It
will splat with the order in open/close.

Just a stupid thinko (I added the phy lock in a second pass). I'll
fix that.

> Also, do you need to be worried about mdio operations? Do you need to
> take that lock as well, since there might be other PHYs, or an
> Ethernet switch on the bus?

There could be I suppose, none of the setups I've seen with those
SoC has done it but nothing prevents it, I'll have a look.

Thanks.
Ben.